﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;
using Infragistics.Controls.Menus.Primitives;
using System.Windows.Media.Imaging;

namespace GalleryTool
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

        }
        private Infragistics.Controls.Menus.GalleryTool GetPersonalViewsGallaryTool()
        {
            MenuTool menuTool = (MenuTool)(xamRibbon.Tabs[0].Groups[0].Tools[0]);
            Infragistics.Controls.Menus.GalleryTool personalViews = (Infragistics.Controls.Menus.GalleryTool)menuTool.Items[0];
            return personalViews;
        }

        private void ButtonTool_Click(object sender, Infragistics.Controls.Menus.RibbonToolEventArgs e)
        {
            Infragistics.Controls.Menus.GalleryTool personalViews = xamRibbon.FindToolById("gallTool") as Infragistics.Controls.Menus.GalleryTool;

            for (int i = 0; i < 10; i++)
            {
                GalleryItem galleryItem = new GalleryItem
                {
                    Text = string.Format("View {0}", (i + 1).ToString()),
                    Image = new BitmapImage(new Uri("", UriKind.Relative)),

                };
                personalViews.Items.Add(galleryItem);
            }
        }

        private void ButtonClear_Click(object sender, RibbonToolEventArgs e)
        {
            Infragistics.Controls.Menus.GalleryTool personalViews = xamRibbon.FindToolById("gallTool") as Infragistics.Controls.Menus.GalleryTool;
            personalViews.Items.Clear();
        }

        private void ButtonCreateOneView_Click(object sender, RibbonToolEventArgs e)
        {
            Infragistics.Controls.Menus.GalleryTool personalViews = xamRibbon.FindToolById("gallTool") as Infragistics.Controls.Menus.GalleryTool;
            GalleryItem galleryItem = new GalleryItem
            {
                Text = string.Format("Single View"),
                Image = new BitmapImage(new Uri("", UriKind.Relative)),

            };
            personalViews.Items.Add(galleryItem);
        }
    }
}
